Ubuntu

extensa 5635z backlight dimming not working. works with setpci.

Reported by Wolfgang Kufner on 2010-02-06
74
This bug affects 13 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

[Status]
Fix for Natty and Maverick exists in https://launchpad.net/~kamalmostafa/+archive/linux-kamal-mjgbacklight .
Happens on Maverick. Tested with 2.6.36 and 2.6.38 (see comment #37) kernel. Tested with 2.6.39rc.
Happens on Lucid.

[Workaround/Fix 0]
Install the patched kernel and gnome-power-manager from https://launchpad.net/~kamalmostafa/+archive/linux-kamal-mjgbacklight by adding that ppa to your sources and upgrading your system (for maverick and natty).

[Workaround 1]
For Acer Extensa 5635Z with bios version V0.3219 or newer adding acpi_osi=Linux acpi_backlight=legacy as boot parameter resolves the issue.

[Workaround 2]
Write into the "Legacy Backlight Brightness" register (on [8086:2a42] hardware):
first make sure you have that hardware ([8086:2a42]) at that address (00:02.0) by looking at the output of lspci -nn|grep VGA
then try setpci -s 00:02.0 F4.B=a1
(a1 in the above line is just one example for a brightness value; you can use any two digit hexadecimal value, e.g:
80 for something like half brightness
ff for full
better avoid 00 or be prepared for pitch black)
Also see comments #28 and #32.
And be careful where you point that setpci command. It might even damage your hardware.

[Report]
ubuntu lucid-desktop-amd64 20100206 (booting the iso from hd via grub2 loopback) on acer extensa 5635z:
the backlight settings are simply ignored. the keys work, the notification works (changing according to the key presses), but the display always stays at the same full brightness.

boot with acpi=off:
backlight dimming works. 10 levels are available. surprisingly there is no notification. (notification for sound is there)
warning: a short press of the power button kills the power immediately!

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2832 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0700000 irq 22'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,10250253,00100000'
   Controls : 14
   Simple ctrls : 7
Date: Sat Feb 6 11:04:34 2010
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100206)
MachineType: Acer Extensa 5635Z
Package: linux-image-2.6.32-12-generic 2.6.32-12.17
ProcCmdLine: BOOT_IMAGE=(loop)/casper/vmlinuz boot=casper iso-scan/filename=/boot/iso/hostname/lucid-desktop-amd64.iso noprompt --
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-12.17-generic
Regression: No
RelatedPackageVersions: linux-firmware 1.29
Reproducible: Yes
SourcePackage: linux
TestedUpstream: No
Uname: Linux 2.6.32-12-generic x86_64
dmi.bios.date: 05/07/2009
dmi.bios.vendor: Phoenix
dmi.bios.version: V0.3213
dmi.board.name: BA50-MV
dmi.board.vendor: Acer
dmi.board.version: Not Applicable
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenix:bvrV0.3213:bd05/07/2009:svnAcer:pnExtensa5635Z:pvrNotApplicable:rvnAcer:rnBA50-MV:rvrNotApplicable:cvnAcer:ct10:cvrN/A:
dmi.product.name: Extensa 5635Z
dmi.product.version: Not Applicable
dmi.sys.vendor: Acer

description: updated

On karmic it did not work either, but could be worked around by switching to other methods:

e.g.:
xrandr --output LVDS --set BACKLIGHT_CONTROL native

xrandr --prop shows the available methods:
 BACKLIGHT_CONTROL: native
  supported: native legacy combination kernel
 BACKLIGHT: 10867 (0x00002a73) range: (0,10867)

set the level with:
xrandr --output LVDS --set BACKLIGHT 500
The LED backlight really has 10000 levels. Absolutely smooth dimming is possible!

On lucid (with KMS) other methods are no longer available. And kernel method never worked, even in karmic.

This might be related:
http://bugzilla.kernel.org/show_bug.cgi?id=13121 (a bunch of acers needed quirks to make backlight dimming work)

Jeremy Foshee (jeremyfoshee) wrote :

Set to Triaged and medium importance.

-JFo

Changed in linux (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
xylo (stefan-endrullis) wrote :

Same behavior on Acer Extensa 5230E and Ubuntu karmic, i686. The backlight does not change at all when I press Fn+Up/Down. Under jaunty it worked without any problems.

Current system: Linux karin-pc 2.6.31-19-generic #56-Ubuntu SMP Thu Jan 28 01:26:53 UTC 2010 i686 GNU/Linux

Tell me if I shall provide more information.

Henning Moll (drscott) wrote :

i confirm this bug:

Before i write about the situation on lucid, let me show the situation on karmic:

Karmic:
Graphics only work with option "nomodeset", black screen otherwise. Dimming of backlight does not run out of the box, though the key presses are recognized and the notifications appear. After doing

xrandr --output LVDS --set BACKLIGHT_CONTROL native

dimming works.

Lucid:
Graphic works without "nomodeset". But dimming doesn't. And the xrandr workaround does not work until i boot with "nomodeset"...

acpi_osi="Linux" does not work for acer extensa 5635z. Checked with todays lucid iso (loopback mounted from hd) since this helps for some other acer hardware (see bug 392948).

Erni35 (dczekay) wrote :

I have a problem with the dimming of backlight on a HP 6735b. The notification is on the screen pressing the function keys, but nothing happens. clicking on the panel the slider came to screen but clicking on the slider, he is destroyed and I couldn't change the dimming level.

Erni35

UnNaturalHigh (unnaturalhigh) wrote :

Having a similar problem. My fn brightness keys seem to work, but my brightness never adjusts. Problem existed in 9.10 and still exists in 10.04.

Henri Keinonen (henri-1994) wrote :

I have a problem with the dimming of backlight too on HP ProBook 4515s. Nothing happens.
Work in 9.10 but not 10.04

Im affected by this bug, too. Notebook is a Compaq 615. The Fn keys and brightness control worked with 9.10 but don't work since I updated to 10.4

Henning Moll (drscott) wrote :

On my Acer Extensa 5635z i can workaround this issue on lucid with the following boot parameters:

acpi_osi=Linux acpi_backlight=legacy

Hi Henning

I tried your workaround but had no success. Could it be the bios version? I have:
dmi.bios.date: 05/07/2009
dmi.bios.vendor: Phoenix
dmi.bios.version: V0.3213

What is the output of:
grep . /sys/class/dmi/id/bios_*
on your system?

Or does it have to say "Linux" or 'Linux'? Or do I have to enable something else in addition to the boot parameters?

Thanks

Henning Moll (drscott) wrote :

> What is the output...

/sys/class/dmi/id/bios_date:12/21/2009
/sys/class/dmi/id/bios_vendor:Phoenix
/sys/class/dmi/id/bios_version:V1.3311

> Or does it have to say "Linux" or 'Linux'?
No, just

acpi_osi=Linux acpi_backlight=legacy

> Or do I have to enable something else in addition to the boot parameters?
No, just added this to the standard "quiet splash" parameters.

JW (jwvdhoek) wrote :

have exactly the same problem on my HP 6830s: before in 9.10 the backlight controls
(fn-f7 / fn-f8) functioned properly - after upgrading to 10.04 not anymore

have no clue where to look

although the backlight went to fully bright after running the command "gnome-power-manager"

aury88 (spacedriver88) wrote :

Hi Henning Moll !
can you help me (again ;) ) ?
 I added your boot parameters to "quiet splash " but they don't work...
 that is what i have done in /etc/default/grub :
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_osi=Linux acpi_backlight=legacy"
is it correct?
i had also tried the procedure that worked on karmic (https://wiki.ubuntu.com/LaptopTestingTeam/Old/AcerExtensa5635Z)
and the brightness work perfectly but my cursor disappear and the splash screen appear with a bad resolution

aury88 (spacedriver88) wrote :

it works! thank you Henning!
i wrote acpi-osi than acpi_osi .
thank you very much!

Hi aury88

Could you please post the output of:
grep . /sys/class/dmi/id/modalias
and:
grep . /sys/class/dmi/id/bios_*
so that we know what systems this workaround works for.

Thanks

aury88 (spacedriver88) wrote :

ok!
the comand grep . /sys/class/dmi/id/bios report:

dmi:bvnPhoenix:bvrV0.3219:bd08/06/2009:svnAcer:pnExtensa5635Z:pvrNotApplicable:rvnAcer:rnBA50-MV:rvrNotApplicable:cvnAcer:ct10:cvrN/A:

grep . /sys/class/dmi/id/bios_* report:
/sys/class/dmi/id/bios_date:08/06/2009
/sys/class/dmi/id/bios_vendor:Phoenix
/sys/class/dmi/id/bios_version:V0.3219

description: updated

I can confirm the workaround of #12 (acpi_osi=Linux acpi_backlight=legacy)

Having a standard Acer Extensa 5635Z with Intel T4300 and 2 GB RAM. Monitor shall have a LED backlight.

Is there any further info I may provide for faster bug fixing?

rgds, René~

Hi René

Could you please post the output of:
grep . /sys/class/dmi/id/modalias
and:
grep . /sys/class/dmi/id/bios_*
so that we know what systems and bios versions this workaround works for.

Thanks

sudeep896 (sudeep896) wrote :

I have got same problem with brightness on my Sony Vaio VGN-NW11S Lucid 10.04.Before that it was absolutely fine.
Can anyone help with this bug?

If you have a ATi Radeon GPU in your notebook, try updating to the new Catalyst 10.5 release, that solved the problem for me.

@Wolfgang, sure thing.

root@r:~# grep . /sys/class/dmi/id/modalias
dmi:bvnPhoenix:bvrV0.3219:bd08/06/2009:svnAcer:pnExtensa5635Z:pvrNotApplicable:rvnAcer:rnBA50-MV:rvrNotApplicable:cvnAcer:ct10:cvrN/A:
root@r:~# grep . /sys/class/dmi/id/bios_*
/sys/class/dmi/id/bios_date:08/06/2009
/sys/class/dmi/id/bios_vendor:Phoenix
/sys/class/dmi/id/bios_version:V0.3219

rgds, René~

PS: There are BIOS updates available. As soon as I have some free time I'll try to update my BIOS (only Windows and DOS versions available) and report back.

rgds, René~

Catalyst 10.5 worked for my Compaq 615 too, thx

Telic (z180) wrote :

Wolfgang, the fn-key problem that you describe here also appeared when I went from 64-bit Karmic to Lucid on my HP ProBook 4510s, which has an ATI Mobility Radeon HD-4330. The fn-key problem disappeared after I installed ATI Catalyst Display Driver version 10.6, which I downloaded from the AMD support site.

I just found a very promising workaround here:
http://www.uluga.ubuntuforums.org/showthread.php?t=1446943

I have not yet fully tried it, but I have verified that the two core ideas also work for me:
a) When I press the brightness buttons the value in /sys/class/backlight/acpi_video0/brightness changes.
b) When I do: "sudo setpci -s 00:02.0 F4.B=a1" the brightness indeed changes

Before you try anything best read the thread yourself. Especially check with lspci |grep VGA whether 00:02.0 is the right address for your system. And be prepared for the fact that "sudo setpci -s 00:02.0 F4.B=0" gives you a pitch black screen :-) .

Thanks to FunkyRider and Skildron

description: updated
C Pirnat (histoplasmosis) wrote :

I can confirm this bug still exists in 10.10 with my acer aspire 7736z which has the same video card. I tried the first workaround passing arguments to the kernel through grub which fixes the issue.

Download full text (3.2 KiB)

Both brightness and sound keys are working fine with fn on 10.10 for me.Hope
your one will get fix soon.

On Tue, Oct 12, 2010 at 2:41 AM, C Pirnat <email address hidden> wrote:

> I can confirm this bug still exists in 10.10 with my acer aspire 7736z
> which has the same video card. I tried the first workaround passing
> arguments to the kernel through grub which fixes the issue.
>
> --
> lucid extensa 5635z backlight dimming not working at all
> https://bugs.launchpad.net/bugs/518002
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> [Workaround 1]
> For Acer Extensa 5635Z with bios version V0.3219 or newer adding
> acpi_osi=Linux acpi_backlight=legacy as boot parameter resolves the issue.
>
> [Workaround 2]
> See comment #28.
>
> [Report]
> ubuntu lucid-desktop-amd64 20100206 (booting the iso from hd via grub2
> loopback) on acer extensa 5635z:
> the backlight settings are simply ignored. the keys work, the notification
> works (changing according to the key presses), but the display always stays
> at the same full brightness.
>
> boot with acpi=off:
> backlight dimming works. 10 levels are available. surprisingly there is no
> notification. (notification for sound is there)
> warning: a short press of the power button kills the power immediately!
>
> ProblemType: Bug
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ubuntu 2832 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf0700000 irq 22'
> Mixer name : 'Conexant CX20561 (Hermosa)'
> Components : 'HDA:14f15051,10250253,00100000'
> Controls : 14
> Simple ctrls : 7
> Date: Sat Feb 6 11:04:34 2010
> DistroRelease: Ubuntu 10.04
> LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100206)
> MachineType: Acer Extensa 5635Z
> Package: linux-image-2.6.32-12-generic 2.6.32-12.17
> ProcCmdLine: BOOT_IMAGE=(loop)/casper/vmlinuz boot=casper
> iso-scan/filename=/boot/iso/hostname/lucid-desktop-amd64.iso noprompt --
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.32-12.17-generic
> Regression: No
> RelatedPackageVersions: linux-firmware 1.29
> Reproducible: Yes
> SourcePackage: linux
> TestedUpstream: No
> Uname: Linux 2.6.32-12-generic x86_64
> dmi.bios.date: 05/07/2009
> dmi.bios.vendor: Phoenix
> dmi.bios.version: V0.3213
> dmi.board.name: BA50-MV
> dmi.board.vendor: Acer
> dmi.board.version: Not Applicable
> dmi.chassis.type: 10
> dmi.chassis.vendor: Acer
> dmi.chassis.version: N/A
> dmi.modalias:
> dmi:bvnPhoenix:bvrV0.3213:bd05/07/2009:svnAcer:pnExtensa5635Z:pvrNotApplicable:rvnAcer:rnBA50-MV:rvrNotApplicable:cvnAcer:ct10:cvrN/A:
> dmi.product.name: Extensa 5635Z
> dmi.product.version: Not Applicable
> dmi.sys.vendor: Acer
>...

Read more...

Backlight ajustment not working for Gateway EC19C01e with a Core I3, all the others work fine for me (sound, monitor, wi-fi). Tried all methods above none worked for me for backlight ajustment.

I looked some more into this setpci workaround to see where that magical F4 address comes from:
sudo setpci -s 00:02.0 F4.B=a1 writes the brightness value (a1 in this example) directly into a register called "Legacy Backlight Brightness" (at address F4) of the [8086:2a42] hardware.
The fact that there is such a register at that address can be found in the manufacturers documentation http://www.intel.com/Assets/PDF/datasheet/320122.pdf for that ([8086:2a42]) hardware.
(btw. my other notebook with same graphics id where backlight setting works out of the box does ignore values written into the F4 register)

@maxwel cecato mavigno,
I assume that lspci -nn|grep VGA gives you [8086:0044] as identification for your hardware.
I looked into
http://download.intel.com/design/processor/datashts/322812.pdf
http://download.intel.com/design/processor/datashts/322813.pdf
which is the datasheet intel published for the mobile i3 ([8086:0044]).
I could not find a "Legacy Backlight Brightness" register there, so that workaround should not work here.
In short, you have a different hardware, so I recommend that you file a new bug report with "ubuntu-bug linux".

description: updated
Tony Schulze (tonyschulze) wrote :

This Bug also effects Ubuntu Maverick Meerkat running on an Acer TravelMate 5735Z and the workaround changing

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
to
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_osi=Linux acpi_backlight=legacy"

in /etc/default/grub works as well.

After updating Grub and rebooting, the (graphical) notification does not appear anymore but the backlight dimming using the Fn keys works.

C Pirnat (histoplasmosis) wrote :

Not running maverick to confirm post #33. Just waiting for a fix to be released downstream.

C Pirnat (histoplasmosis) wrote :

Sorry forgot to mention I removed 10.10 and installed 10.04 to resolve a sound issue with 10.10.

With kernel 2.6.38 (ubuntu mainlinine daily 20110219):
when I close and then open the lid the backlight comes back with roughly half the brightness.
I can use workaround 2 to set the brightness to full again.

description: updated
summary: - lucid extensa 5635z backlight dimming not working at all
+ extensa 5635z backlight dimming not working. works with setpci.
Guillermo Lo Coco (glococo) wrote :

Hi, Same issue on emachines E725
Tried different options in grub2:
acpi_osi=Linux, acpi_backlight=vendor and legacy, acpi=off
and none work out.

Maverick: 2.6.38-020638-generic
VGA: Intel Mobile 4 series IGP rev 09

When start ubuntu in 2.6.38, i cant see, but can go to gnome-command and launch the last command to setpci brightness to 77 and start to see !! and debug.
Then, when close the lid with 2.6.38, backlight turn off and on, normally. Brightness control still not work.
Only work setpci.

I finally got around to testing the patched kernel and gnome-power-manager from https://launchpad.net/~kamalmostafa/+archive/linux-kamal-mjgbacklight . and that fixes it for me. Full hotkey backlight control. Tested both the 2.6.35 and the 2.6.38 kernel on maverick.

Does this work for anybody else? Anybody it does not work for?

description: updated
description: updated
SoulDr0p (souldr0p) wrote :

I have the same issue with an Acer Aspire 5734z-4512. Backlights controls show a notification, but do not do anything. I upgraded from Maverick, and the old kernel that I had still shows brightness just fine, but the latest ones do not...it goes black...fast. I tried all the fixes on here, and nothing works. I'm at bug# 773820. :)

C Pirnat (histoplasmosis) wrote :

Problem is still in Precise

tags: added: bios-outdated-3311

Wolfgang Kufner, thank you for reporting this and helping make Ubuntu better. Lucid reached EOL on May 9, 2013.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We were wondering if this is still an issue in a supported release? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.10-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

Changed in linux (Ubuntu):
status: Triaged → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.